D4Science Infrastructure - Incident #9637

Socialnetworking-ws-library doesn't work in preproduction environment
Sep 06, 2017 06:05 PM - Roberto Cirillo

Status: Closed Start date: Sep 06, 2017
Priority: Normal Due date:

Assignee: Costantino Perciante % Done: 100%
Category: Application Estimated time: 0.00 hour
Target version: UnSprintable

Infrastructure: Pre-Production

Description

The following call performed by dataminer-pool-manager service doesn't work:

https://pre.ddscience.org/social-networking—-library-ws/rest/2/users/get—-usernames—-by-role?role—-nam
e=DataMiner-Manager&gcube-token=2eceaf27-0e22-4dbe-8075-e09ef£f1990£f9-98187548

The error is Hitp 404.
From portal log | see the following logs:

2017-09-06 15:52:37,044 INFO o.g.p.s.n.w.f.RequestsAuthFilter [http-bio-9090-exec-68,filter:42] [P
ORTAL] 102620780 [http-bio-9090-exec-68] INFO org.gcube.portal.social.networking.ws.filters.Reque
stsAuthFilter - Intercepted request, checking if it contains authorization token

2017-09-06 15:52:37,045 INFO o.g.p.s.n.w.f.RequestsAuthFilter [http-bio-9090-exec-68,filter:45] [P
ORTAL] 102620781 [http-bio-9090-exec-68] INFO org.gcube.portal.social.networking.ws.filters.Reque
stsAuthFilter - Requested method is http://pre.ddscience.org/social-networking-library-ws/rest/
2017-09-06 15:52:37,045 DEBUG o.g.p.s.n.w.f.RequestsAuthFilter [http-bio-9090-exec-68,filter:49] [P
ORTAL] 102620781 [http-bio-9090-exec-68] DEBUG org.gcube.portal.social.networking.ws.filters.Reque
stsAuthFilter - No authorization is requested in this case, returning

2017-09-06 15:53:16,002 WARN o.g.p.s.n.w.e.ApplicationException [http-bio-9090-exec-1,toResponse:
22] [PORTAL] 102659738 [http-bio-9090-exec—-1] WARN org.gcube.portal.social.networking.ws.ex.Applic
ationException - ApplicationException invoked for exception javax.ws.rs.NotFoundException: HTTP 40
4 Not Found

2017-09-06 15:53:16,994 WARN o.g.p.s.n.w.e.ApplicationException [http-bio-9090-exec-68,toResponse
:22] [PORTAL] 102660730 [http-bio-9090-exec-68] WARN org.gcube.portal.social.networking.ws.ex.Appl
icationException - ApplicationException invoked for exception javax.ws.rs.NotFoundException: HTTP
404 Not Found

2017-09-06 15:53:31,797 WARN o.g.p.s.n.w.e.ApplicationException [http-bio-9090-exec-39,toResponse
:22] [PORTAL] 102675533 [http-bio-9090-exec-39] WARN org.gcube.portal.social.networking.ws.ex.Appl
icationException - ApplicationException invoked for exception javax.ws.rs.NotFoundException: HTTP
404 Not Found

2017-09-06 15:53:37,086 WARN o.g.p.s.n.w.e.ApplicationException [http-bio-9090-exec-59,toResponse
:22] [PORTAL] 102680822 [http-bio-9090-exec-59] WARN org.gcube.portal.social.networking.ws.ex.Appl
icationException - ApplicationException invoked for exception javax.ws.rs.NotFoundException: HTTP
404 Not Found

2017-09-06 15:53:45,243 WARN o.g.p.s.n.w.e.ApplicationException [http-bio-9090-exec-66,toResponse
:22] [PORTAL] 102688979 [http-bio-9090-exec-66] WARN org.gcube.portal.social.networking.ws.ex.Appl
icationException - ApplicationException invoked for exception javax.ws.rs.NotFoundException: HTTP
404 Not Found

Please, could you check what is the problem?

History

#1 - Sep 06, 2017 07:06 PM - Roberto Cirillo

The socialnetworking service has not been upgraded on the preprod portal:
Dec 12 2016 social-networking-library-ws

Maybe this is the problem. Could you confirm?
#2 - Sep 07,2017 11:01 AM - Massimiliano Assante

- Status changed from New to In Progress

the social-networking-library-ws is installed on a separate SmartGears node since a year now, it is still installed in the portal nodes for backward
compatibility issues this is why we don't upgrade it.

See https://wiki.gcube-system.org/gcube/Social_Networking_Service

#3 - Sep 07, 2017 12:56 PM - Roberto Cirillo

thank you @massimiliano.assante@isti.cnr.it . Now the problem is that the dataminer-pool-manager service discover the old service (by
ServiceEndpoint).

I think the better solution is to change the discovery task on dataminer-pool-manager in order to discover new service instance (by GCoreEndpoint).
Otherwise we should upgrade the old service hosted on the portal if it is possible.

what do you think @nunzioandrea.galante@eng.it @massimiliano.assante@isti.cnr.it ?

#5 - Sep 13, 2017 09:55 AM - Roberto Cirillo

- Status changed from In Progress to Closed

- % Done changed from 0 to 100

I'm going to close this ticket because in preproduction environment the problem seems to be solved now.
